Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.extra
Class AttributeCopier

    java.lang.Object
      com.saxonica.Checker
          com.saxonica.extra.AttributeCopier

All Implemented Interfaces:
  Receiver, javax.xml.transform.Result

public class AttributeCopier
extends com.saxonica.Checker

Created by IntelliJ IDEA. User: Mike Date: 29-Apr-2005 Time: 17:09:05 To change this template use File | Settings | File Templates.

Field Summary

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`AttributeCopier(Selection selection, Receiver nextReceiver)`

Method Summary
`void` | `attribute(int nameCode, int typeCode, java.lang.CharSequence value, int locationId, int properties)` Notify an attribute.
`void` | `startContent()` Notify the start of the content, that is, the completion of all attributes and namespaces.

Methods inherited from class com.saxonica.Checker
`characters, close, comment, endDocument, endElement, getConfiguration, getPipelineConfiguration, getSystemId, namespace, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnparsedEntity, startDocument, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeCopier

    public AttributeCopier(Selection selection,
                           Receiver nextReceiver)

Method Detail

### attribute

    public void attribute(int nameCode,
                          int typeCode,
                          java.lang.CharSequence value,
                          int locationId,
                          int properties)
                   throws XPathException

  Description copied from interface: `Receiver`
  Notify an attribute. Attributes are notified after the startElement event, and before any children. Namespaces and attributes may be intermingled.

  Throws:
    `XPathException`

### startContent

    public void startContent()
                      throws XPathException

  Description copied from interface: `Receiver`
  Notify the start of the content, that is, the completion of all attributes and namespaces. Note that the initial receiver of output from XSLT instructions will not receive this event, it has to detect it itself. Note that this event is reported for every element even if it has no attributes, no namespaces, and no content.

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD